// Chaotic recursion noise generator chugen
// P. Cook, March 2013

class ChaosNoise extends Chugen {
    0.3 => float x;
    
    fun float tick(float input) {
        // here we ignore the input
        4.0 * x * (1.0-x) => x;
        return x;
    }
    
    fun void seed(float mySeed)  {
        mySeed => x;
    }
}

ChaosNoise nz[2];
nz[0] => dac; 0.3 => nz[0].seed;
nz[1] => dac; 0.7 => nz[1].seed;

0.1 => nz[0].gain => nz[1].gain;

1.0 :: second => now;

